Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageDice

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageDice

Enclosing class:
  TdApi

public static final class TdApi.MessageDice extends TdApi.MessageContent
A dice message. The dice value is randomly generated by the server.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`emoji`
Emoji on which the dice throw animation is based.
`TdApi.DiceStickers`
`finalState`
The animated stickers with the final dice animation; may be null if unknown.
`TdApi.DiceStickers`
`initialState`
The animated stickers with the initial dice animation; may be null if unknown.
`int`
`successAnimationFrameNumber`
Number of frame after which a success animation like a shower of confetti needs to be shown on updateMessageSendSucceeded.
`int`
`value`
The dice value.

## Constructor Summary

Constructors
Constructor
Description
`MessageDice()`
A dice message.
`MessageDice(TdApi.DiceStickers initialState, TdApi.DiceStickers finalState, String emoji, int value, int successAnimationFrameNumber)`
A dice message.
`MessageDice(DataInput input)`
A dice message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### initialState

public TdApi.DiceStickers initialState
The animated stickers with the initial dice animation; may be null if unknown. updateMessageContent will be sent when the sticker became known.

### finalState

public TdApi.DiceStickers finalState
The animated stickers with the final dice animation; may be null if unknown. updateMessageContent will be sent when the sticker became known.

### emoji

public String emoji
Emoji on which the dice throw animation is based.

### value

public int value
The dice value. If the value is 0, the dice don't have final state yet.

### successAnimationFrameNumber

public int successAnimationFrameNumber
Number of frame after which a success animation like a shower of confetti needs to be shown on updateMessageSendSucceeded.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### MessageDice

public MessageDice()
A dice message. The dice value is randomly generated by the server.

### MessageDice

public MessageDice(TdApi.DiceStickers initialState, TdApi.DiceStickers finalState, String emoji, int value, int successAnimationFrameNumber)
A dice message. The dice value is randomly generated by the server.

Parameters:
  `initialState` - The animated stickers with the initial dice animation; may be null if unknown. updateMessageContent will be sent when the sticker became known.
  `finalState` - The animated stickers with the final dice animation; may be null if unknown. updateMessageContent will be sent when the sticker became known.
  `emoji` - Emoji on which the dice throw animation is based.
  `value` - The dice value. If the value is 0, the dice don't have final state yet.
  `successAnimationFrameNumber` - Number of frame after which a success animation like a shower of confetti needs to be shown on updateMessageSendSucceeded.

### MessageDice

public MessageDice(DataInput input) throws IOException
A dice message. The dice value is randomly generated by the server.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`